=== release 1.6.0 ===

2015-09-25  Sebastian Dröge <slomo@coaxion.net>

	* configure.ac:
	  releasing 1.6.0

2015-09-25 14:08:09 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gst/smpte/gstsmptealpha.c:
	  smptealpha: Do not set width/height before comparing with old values
	  Otherwise we end up considering the values did not change and we wrongly
	  work with the old video format (which will lead to wrong
	  behaviour/segfaults).
	  https://bugzilla.gnome.org/show_bug.cgi?id=755621

2015-09-23 20:59:00 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/isomp4/qtdemux.c:
	  qtdemux: Accumulate segments for edit lists before activating the next segment
	  eceb2ccc739092d964d78945e19c2ecedbd214e2 broke segment seeks by always
	  accumulating segments manually when activating a segment. This is only
	  needed when handling edit lists, not when activating a segment because of a
	  seek. Do the accumulation when switching edit list segments instead.
	  This fixes segment seeks again, while keeping edit lists playback working.
	  https://bugzilla.gnome.org/show_bug.cgi?id=755471

2015-09-23 17:43:51 +0530  Vikram Fugro <vikram.fugro@gmail.com>

	* gst/spectrum/gstspectrum.c:
	  spectrum: send phase values in the GstMessage for Phase info
	  https://bugzilla.gnome.org/show_bug.cgi?id=755463

2015-09-22 00:46:01 +1000  Jan Schmidt <jan@centricular.com>

	* gst/matroska/matroska-mux.c:
	  matroska-mux: Don't output a warning on MONO multiview mode.

2015-09-19 17:02:18 +0200  Sebastian Rasmussen <sebras@hotmail.com>

	* gst/rtp/gstrtptheoradepay.c:
	  rtptheoradepay: Fix memory leaks
	  The same memory leaks were fixed in identical fashion for
	  vorbisdepay in 06efeff5d979576a252e5dae57f46d6445b1df12 in 2009.
	  Fixes https://bugzilla.gnome.org/show_bug.cgi?id=755277

2015-09-19 17:04:07 +0200  Sebastian Rasmussen <sebras@hotmail.com>

	* gst/rtp/gstrtptheorapay.c:
	* gst/rtp/gstrtpvorbisdepay.c:
	* gst/rtp/gstrtpvorbispay.c:
	  rtp{vorbis,theora}{pay,depay}: Cosmetic cleanup
	  * use g_list_free_full(), don't iterate elements maually when freeing
	  * call gst_rtp_*_pay_clear_packet(), don't duplicate its code
	  * use gst_buffer_unref() to clarify that it is buffers being released,
	  instead of refering directly to gst_mini_object_unref()
	  Fixes https://bugzilla.gnome.org/show_bug.cgi?id=755277

2015-09-19 18:44:22 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/rtp/gstrtptheorapay.c:
	* gst/rtp/gstrtpvorbispay.c:
	  rtp{vorbis,theora}pay: Store headers in the packet buffers lists, not a NULL buffer
	  https://bugzilla.gnome.org/show_bug.cgi?id=755265

=== release 1.5.91 ===

2015-09-18 19:33:13 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/gst-plugins-good-plugins.args:
	* docs/plugins/gst-plugins-good-plugins.signals:
	* docs/plugins/inspect/plugin-1394.xml:
	* docs/plugins/inspect/plugin-aasink.xml:
	* docs/plugins/inspect/plugin-alaw.xml:
	* docs/plugins/inspect/plugin-alpha.xml:
	* docs/plugins/inspect/plugin-alphacolor.xml:
	* docs/plugins/inspect/plugin-apetag.xml:
	* docs/plugins/inspect/plugin-audiofx.xml:
	* docs/plugins/inspect/plugin-audioparsers.xml:
	* docs/plugins/inspect/plugin-auparse.xml:
	* docs/plugins/inspect/plugin-autodetect.xml:
	* docs/plugins/inspect/plugin-avi.xml:
	* docs/plugins/inspect/plugin-cacasink.xml:
	* docs/plugins/inspect/plugin-cairo.xml:
	* docs/plugins/inspect/plugin-cutter.xml:
	* docs/plugins/inspect/plugin-debug.xml:
	* docs/plugins/inspect/plugin-deinterlace.xml:
	* docs/plugins/inspect/plugin-dtmf.xml:
	* docs/plugins/inspect/plugin-dv.xml:
	* docs/plugins/inspect/plugin-effectv.xml:
	* docs/plugins/inspect/plugin-equalizer.xml:
	* docs/plugins/inspect/plugin-flac.xml:
	* docs/plugins/inspect/plugin-flv.xml:
	* docs/plugins/inspect/plugin-flxdec.xml:
	* docs/plugins/inspect/plugin-gdkpixbuf.xml:
	* docs/plugins/inspect/plugin-goom.xml:
	* docs/plugins/inspect/plugin-goom2k1.xml:
	* docs/plugins/inspect/plugin-icydemux.xml:
	* docs/plugins/inspect/plugin-id3demux.xml:
	* docs/plugins/inspect/plugin-imagefreeze.xml:
	* docs/plugins/inspect/plugin-interleave.xml:
	* docs/plugins/inspect/plugin-isomp4.xml:
	* docs/plugins/inspect/plugin-jack.xml:
	* docs/plugins/inspect/plugin-jpeg.xml:
	* docs/plugins/inspect/plugin-level.xml:
	* docs/plugins/inspect/plugin-matroska.xml:
	* docs/plugins/inspect/plugin-mulaw.xml:
	* docs/plugins/inspect/plugin-multifile.xml:
	* docs/plugins/inspect/plugin-multipart.xml:
	* docs/plugins/inspect/plugin-navigationtest.xml:
	* docs/plugins/inspect/plugin-oss4.xml:
	* docs/plugins/inspect/plugin-ossaudio.xml:
	* docs/plugins/inspect/plugin-png.xml:
	* docs/plugins/inspect/plugin-pulseaudio.xml:
	* docs/plugins/inspect/plugin-replaygain.xml:
	* docs/plugins/inspect/plugin-rtp.xml:
	* docs/plugins/inspect/plugin-rtpmanager.xml:
	* docs/plugins/inspect/plugin-rtsp.xml:
	* docs/plugins/inspect/plugin-shapewipe.xml:
	* docs/plugins/inspect/plugin-shout2send.xml:
	* docs/plugins/inspect/plugin-smpte.xml:
	* docs/plugins/inspect/plugin-soup.xml:
	* docs/plugins/inspect/plugin-spectrum.xml:
	* docs/plugins/inspect/plugin-speex.xml:
	* docs/plugins/inspect/plugin-taglib.xml:
	* docs/plugins/inspect/plugin-udp.xml:
	* docs/plugins/inspect/plugin-video4linux2.xml:
	* docs/plugins/inspect/plugin-videobox.xml:
	* docs/plugins/inspect/plugin-videocrop.xml:
	* docs/plugins/inspect/plugin-videofilter.xml:
	* docs/plugins/inspect/plugin-videomixer.xml:
	* docs/plugins/inspect/plugin-vpx.xml:
	* docs/plugins/inspect/plugin-wavenc.xml:
	* docs/plugins/inspect/plugin-wavpack.xml:
	* docs/plugins/inspect/plugin-wavparse.xml:
	* docs/plugins/inspect/plugin-ximagesrc.xml:
	* docs/plugins/inspect/plugin-y4menc.xml:
	* gst-plugins-good.doap:
	* win32/common/config.h:
	  Release 1.5.91

2015-09-18 19:23:57 +0200  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	* po/zh_HK.po:
	* po/zh_TW.po:
	  Update .po files

2015-09-18 11:50:31 +0200  Sebastian Dröge <sebastian@centricular.com>

	* po/zh_CN.po:
	  po: Update translations

2015-09-17 10:50:01 +0900  Eunhae Choi <eunhae1.choi@samsung.com>

	* gst/avi/gstavidemux.c:
	  avidemux: Fix taglist leak
	  gst_tag_list_insert() does not take ownership of the inserted taglist.
	  https://bugzilla.gnome.org/show_bug.cgi?id=755138

2015-09-16 07:05:36 +1000  Jan Schmidt <jan@centricular.com>

	* gst/audioparsers/gstaacparse.c:
	  aacparse: Skip LOAS AAC until a valid config is seen.
	  It's normal when dropping into the middle of a stream to
	  not always have the config available immediately, so skip LOAS
	  until a valid config is seen without either setting invalid
	  caps or erroring out.
	  https://bugzilla.gnome.org/show_bug.cgi?id=751386

2015-09-13 15:41:38 +0200  Mark Nauwelaerts <mnauw@users.sourceforge.net>

	* gst/rtpmanager/gstrtpjitterbuffer.c:
	  rtpjitterbuffer: reset just a bit more upon flush_stop

2015-09-13 15:40:09 +0200  Mark Nauwelaerts <mnauw@users.sourceforge.net>

	* gst/rtpmanager/gstrtpjitterbuffer.c:
	  rtpjitterbuffer: remove dead struct member

2015-09-11 17:09:28 +0900  Vineeth TM <vineeth.tm@samsung.com>

	* gst/udp/gstmultiudpsink.c:
	  multiudpsink: fix GError memory leak when hostname resolution fails
	  https://bugzilla.gnome.org/show_bug.cgi?id=754869

2015-09-10 15:26:54 -0300  Thiago Santos <thiagoss@osg.samsung.com>

	* gst/matroska/ebml-write.c:
	  matroskamux: drop HEADER flag from output buffers
	  Drop HEADER flag from output buffers if they are not indeed
	  headers.
	  Fixes resending of headers in tcp connection handling
	  https://bugzilla.gnome.org/show_bug.cgi?id=754768

2015-09-10 16:00:50 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/matroska/ebml-write.c:
	  matroskamux: fix matroskamux ! matroskademux
	  Don't carry over DISCONT flags from the input buffers to the
	  output buffer, or the demuxer might reset its state when it
	  receives the first data buffer just after parsing the simple
	  block header, and then expect sane data to follow.
	  Fixes matroskamux ! demux erroring out.
	  https://bugzilla.gnome.org/show_bug.cgi?id=754768
	  https://bugzilla.gnome.org/show_bug.cgi?id=657805

2015-09-09 12:51:40 -0700  Martin Kelly <martin@surround.io>

	* gst/rtsp/README:
	  rtsp: fix small README typo
	  https://bugzilla.gnome.org/show_bug.cgi?id=754807

2015-09-04 19:45:37 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/audioparsers/gstwavpackparse.c:
	  wavpackparse: set both pts and dts so baseparse doesn't make up wrong dts after seeks
	  https://bugzilla.gnome.org/show_bug.cgi?id=752106

2015-09-04 19:34:41 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/audioparsers/gstflacparse.c:
	  flacparse: set both pts and dts so baseparse doesn't make up wrong dts after a seek
	  flac contains the sample offset in the frame header, so after a seek
	  without index flacparse will know the exact position we landed on and
	  timestamp buffers accordingly. It only set the pts though, which means
	  the baseparse-set dts which was set to the seek position prevails, and
	  since the seek was based on an estimate, there's likely a discrepancy
	  between where we wanted to land and where we did land, so from here on
	  that dts/pts difference will be maintained, with dts possibly multiple
	  seconds ahead of pts, which is just wrong. The easiest way to fix this
	  is to just set both pts and dts based on the sample offset, but perhaps
	  parsed audio should just not have dts set at all.
	  https://bugzilla.gnome.org/show_bug.cgi?id=752106

2015-09-06 16:33:02 +0100  Tim-Philipp Müller <tim@centricular.com>

	* docs/plugins/gst-plugins-good-plugins.args:
	* docs/plugins/gst-plugins-good-plugins.signals:
	  docs: remove properties and signals that no longer exist
	  https://bugzilla.gnome.org/show_bug.cgi?id=726443

2013-10-11 15:13:00 +0000  George Chriss <gschriss@gmail.com>

	* gst/flv/gstflvmux.c:
	  flvmux: Make the element count in arrays not include end
	  One-line removal of tags_written++
	  This should fix rtmp output to crtmpserver, and hopefully
	  noone is expecting that the element count includes the end
	  element, as different bits of documentation say different
	  things about whether it should or not.
	  https://bugzilla.gnome.org/show_bug.cgi?id=661624

2015-07-30 00:59:15 +1000  Jan Schmidt <jan@centricular.com>

	* gst/flv/gstflvmux.c:
	* gst/flv/gstflvmux.h:
	  flvmux: Store incoming bitrate tags and send in the metadata
	  Apparently the Microsoft Azure RTMP server requires that the
	  videodatarate and audiodatarate metadata be provided, so
	  set those, even if it's to 0. Use the actual input bitrate
	  tags if available.

2015-09-04 00:06:29 +1000  Jan Schmidt <jan@centricular.com>

	* gst/rtsp/gstrtspsrc.c:
	  rtspsrc: Don't parse key data more than needed.
	  When an auxilliary streams are present in the SDP media,
	  there's no need to re-parse the SDP attributes multiple
	  times.

2015-09-03 20:56:55 +1000  Jan Schmidt <jan@centricular.com>

	* gst/rtsp/gstrtspsrc.c:
	  rtspsrc: Fix SRTP + RTX, auth access, a leak, and an invalid memory access.
	  In parse_keymgmt(), don't mutate the input string that's been passed
	  as const, especially since we might need the original value again if
	  the same key info applies to multiple streams (RTX, for example).
	  When a resource is 404, and we have auth info - retry with the auth
	  info the same as if we had receive unauthorised, in case the resource
	  isn't even visible until credentials are supplied.
	  Fix a memory leak handling Mikey data.
	  When generating a random keystring, don't overrun the 30 byte
	  buffer by generating 32 bytes into it.

2015-09-04 15:18:05 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/udp/gstudpsrc.c:
	  udpsrc: Fix build with GLib < 2.44
	  G_IO_ERROR_CONNECTION_CLOSED was added in 2.44.

2015-09-04 12:01:52 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/udp/gstudpsrc.c:
	  udpsrc: Ignore G_IO_ERROR_CONNECTION_CLOSED when receiving data
	  This happens on Windows if we use the same socket for sending packets,
	  and the remote sends ICMP port/host unreachable messages.
	  https://bugzilla.gnome.org/show_bug.cgi?id=754534

2015-09-02 21:12:41 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/rtp/gstrtptheoradepay.c:
	* gst/rtp/gstrtpvorbisdepay.c:
	  rtpvorbis/theoradepay: Fix handling of fragmented packets
	  This was broken in b1089fb520 by not considering the full packet length of a
	  fragmented packet but only the length of the first one.
	  https://bugzilla.gnome.org/show_bug.cgi?id=754417

2015-09-01 15:39:22 -0400  Olivier Crête <olivier.crete@collabora.com>

	* gst/dtmf/gstdtmfsrc.c:
	* gst/dtmf/gstrtpdtmfsrc.c:
	  dtmfsrc: Reply to latency query

2015-08-31 16:42:30 -0400  Olivier Crête <olivier.crete@collabora.com>

	* tests/check/elements/rtpsession.c:
	  tests: Fix rtpsession test failure
	  The time of the first RTCP packet is semi-random, so
	  sometimes it was produced before enough packets from
	  the second SSRC were received. First drop queued RTCP
	  packets, then advance the clock enough to ensure
	  that at least one new RTCP packet is produced.
	  https://bugzilla.gnome.org/show_bug.cgi?id=750731

2015-08-31 13:56:04 +0200  Stefan Sauer <ensonic@users.sf.net>

	* tests/check/elements/level.c:
	  level: improve the test for multi-channel mode
	  Change the test to verify the read-index for multiple messages per buffer.
	  See https://bugzilla.gnome.org/show_bug.cgi?id=754144

2015-08-31 12:46:52 +0200  Jan Alexander Steffens (heftig) <jan.steffens@gmail.com>

	* gst/matroska/matroska-demux.c:
	  matroskademux: Align raw video frames to 32 bytes
	  Outputting unaligned video frames causes videoscale et al to
	  crash when attempting SIMD-accelerated conversion.
	  https://bugzilla.gnome.org/show_bug.cgi?id=736965

2015-08-26 23:16:46 +0200  Stefan Sauer <ensonic@users.sf.net>

	* gst/level/gstlevel.c:
	  level: fix level calculations for mutliple channels
	  This was broken with 7b90bf32150897a141a29a12ecab555d8c5b7fab.

2015-08-27 10:28:55 +0530  Ravi Kiran K N <ravi.kiran@samsung.com>

	* gst/smpte/gstsmpte.c:
	  smpte: Fix memory leak
	  In gst_smpte_collected(), check upfront if input formats are same
	  or not. This avoids allocation of in1 and in2 buffers and
	  subsequent memory leak when input formats do not match.
	  https://bugzilla.gnome.org/show_bug.cgi?id=754153

2015-08-21 11:52:19 +0100  Tim-Philipp Müller <tim@centricular.com>

	* tests/check/elements/souphttpsrc.c:
	  tests: souphttpsrc: don't try to connect to dead radio server

2015-08-21 16:29:16 +0900  Vineeth TM <vineeth.tm@samsung.com>

	* gst/rtsp/gstrtspsrc.c:
	  rtspsrc: Trivial fix to check correct condition
	  When checking for describe method, because of missing parentheses, wrong
	  condition is being checked, which will result in wrong behavior.
	  https://bugzilla.gnome.org/show_bug.cgi?id=753912

2015-08-21 13:19:02 +0900  Vineeth TM <vineeth.tm@samsung.com>

	* gst/matroska/matroska-read-common.c:
	  matroska: read: fix tag list memory leak
	  gst_toc_entry_merge_tags makes a new ref of the taglist, so it should
	  be unref'ed as soon as the tags are merged to the tocentry
	  https://bugzilla.gnome.org/show_bug.cgi?id=753904

2015-08-21 12:20:59 +0900  Vineeth TM <vineeth.tm@samsung.com>

	* ext/wavpack/gstwavpackdec.c:
	  wavpackdec: fix taglist memory leak
	  When passing the taglist to gst_audio_decoder_merge_tags, the reference is increased
	  by audiodecoder and the caller should free the taglist being passed.
	  https://bugzilla.gnome.org/show_bug.cgi?id=753903

2015-08-20 14:45:33 +0200  Jean-Michel Hautbois <jean-michel.hautbois@veo-labs.com>

	* sys/v4l2/gstv4l2transform.c:
	  v4l2transform: fix pad closing
	  Signed-off-by: Jean-Michel Hautbois <jean-michel.hautbois@veo-labs.com>
	  https://bugzilla.gnome.org/show_bug.cgi?id=753875

=== release 1.5.90 ===

2015-08-19 13:29:53 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/gst-plugins-good-plugins.args:
	* docs/plugins/gst-plugins-good-plugins.hierarchy:
	* docs/plugins/gst-plugins-good-plugins.interfaces:
	* docs/plugins/gst-plugins-good-plugins.signals:
	* docs/plugins/inspect/plugin-1394.xml:
	* docs/plugins/inspect/plugin-aasink.xml:
	* docs/plugins/inspect/plugin-alaw.xml:
	* docs/plugins/inspect/plugin-alpha.xml:
	* docs/plugins/inspect/plugin-alphacolor.xml:
	* docs/plugins/inspect/plugin-apetag.xml:
	* docs/plugins/inspect/plugin-audiofx.xml:
	* docs/plugins/inspect/plugin-audioparsers.xml:
	* docs/plugins/inspect/plugin-auparse.xml:
	* docs/plugins/inspect/plugin-autodetect.xml:
	* docs/plugins/inspect/plugin-avi.xml:
	* docs/plugins/inspect/plugin-cacasink.xml:
	* docs/plugins/inspect/plugin-cairo.xml:
	* docs/plugins/inspect/plugin-cutter.xml:
	* docs/plugins/inspect/plugin-debug.xml:
	* docs/plugins/inspect/plugin-deinterlace.xml:
	* docs/plugins/inspect/plugin-dtmf.xml:
	* docs/plugins/inspect/plugin-dv.xml:
	* docs/plugins/inspect/plugin-effectv.xml:
	* docs/plugins/inspect/plugin-equalizer.xml:
	* docs/plugins/inspect/plugin-flac.xml:
	* docs/plugins/inspect/plugin-flv.xml:
	* docs/plugins/inspect/plugin-flxdec.xml:
	* docs/plugins/inspect/plugin-gdkpixbuf.xml:
	* docs/plugins/inspect/plugin-goom.xml:
	* docs/plugins/inspect/plugin-goom2k1.xml:
	* docs/plugins/inspect/plugin-icydemux.xml:
	* docs/plugins/inspect/plugin-id3demux.xml:
	* docs/plugins/inspect/plugin-imagefreeze.xml:
	* docs/plugins/inspect/plugin-interleave.xml:
	* docs/plugins/inspect/plugin-isomp4.xml:
	* docs/plugins/inspect/plugin-jack.xml:
	* docs/plugins/inspect/plugin-jpeg.xml:
	* docs/plugins/inspect/plugin-level.xml:
	* docs/plugins/inspect/plugin-matroska.xml:
	* docs/plugins/inspect/plugin-mulaw.xml:
	* docs/plugins/inspect/plugin-multifile.xml:
	* docs/plugins/inspect/plugin-multipart.xml:
	* docs/plugins/inspect/plugin-navigationtest.xml:
	* docs/plugins/inspect/plugin-oss4.xml:
	* docs/plugins/inspect/plugin-ossaudio.xml:
	* docs/plugins/inspect/plugin-png.xml:
	* docs/plugins/inspect/plugin-pulseaudio.xml:
	* docs/plugins/inspect/plugin-replaygain.xml:
	* docs/plugins/inspect/plugin-rtp.xml:
	* docs/plugins/inspect/plugin-rtpmanager.xml:
	* docs/plugins/inspect/plugin-rtsp.xml:
	* docs/plugins/inspect/plugin-shapewipe.xml:
	* docs/plugins/inspect/plugin-shout2send.xml:
	* docs/plugins/inspect/plugin-smpte.xml:
	* docs/plugins/inspect/plugin-soup.xml:
	* docs/plugins/inspect/plugin-spectrum.xml:
	* docs/plugins/inspect/plugin-speex.xml:
	* docs/plugins/inspect/plugin-taglib.xml:
	* docs/plugins/inspect/plugin-udp.xml:
	* docs/plugins/inspect/plugin-video4linux2.xml:
	* docs/plugins/inspect/plugin-videobox.xml:
	* docs/plugins/inspect/plugin-videocrop.xml:
	* docs/plugins/inspect/plugin-videofilter.xml:
	* docs/plugins/inspect/plugin-videomixer.xml:
	* docs/plugins/inspect/plugin-vpx.xml:
	* docs/plugins/inspect/plugin-wavenc.xml:
	* docs/plugins/inspect/plugin-wavpack.xml:
	* docs/plugins/inspect/plugin-wavparse.xml:
	* docs/plugins/inspect/plugin-ximagesrc.xml:
	* docs/plugins/inspect/plugin-y4menc.xml:
	* gst-plugins-good.doap:
	* win32/common/config.h:
	  Release 1.5.90

2015-08-19 12:47:42 +0300  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	* po/zh_HK.po:
	* po/zh_TW.po:
	  Update .po files

2015-08-19 11:29:55 +0300  Sebastian Dröge <sebastian@centricular.com>

	* po/el.po:
	* po/zh_CN.po:
	  po: Update translations

2015-08-13 17:29:58 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/multifile/gstmultifilesrc.c:
	  multifilesrc: fix regression with starting from index set via index property
	  When we haven't started yet, set the start_index when we set the index property,
	  so that we start at the right index position after the initial seek. The index
	  property was never really meant to be for writing, but it used to work, so let's
	  support it for backwards compatibility.
	  https://bugzilla.gnome.org/show_bug.cgi?id=739472

2015-08-18 10:52:11 +0100  Alex Ashley <bugzilla@ashley-family.net>

	* gst/isomp4/qtdemux.c:
	  qtdemux: fix offset calculation when parsing CENC aux info
	  Commit 7d7e54ce6863ff53e188d0276d2651b65082ffdb added support for
	  DASH common encryption, however commit
	  bb336840c0b0b02fa18dc4437ce0ded3d9142801 that went onto master
	  shortly before the CENC commit caused the calculation of the CENC
	  aux info offset to be incorrect.
	  The base_offset was being added if present, but if the base_offset
	  is relative to the start of the moof, the offset was being added twice.
	  The correct approach is to calculate the offset from the start of the
	  moof and use that offset when parsing the CENC aux info.

2015-08-17 14:28:24 -0300  Thiago Santos <thiagoss@osg.samsung.com>

	* ext/flac/gstflacenc.c:
	  flacenc: actually return true for accept-caps query handling

2015-08-17 14:07:10 +0900  Hyunjun Ko <zzoon.ko@samsung.com>

	* gst/rtp/gstrtpg723pay.c:
	* gst/rtp/gstrtpgsmpay.c:
	* gst/rtp/gstrtpklvpay.c:
	  rtp: copy metadata in the (de)payloaders which is missed before
	  https://bugzilla.gnome.org/show_bug.cgi?id=753706

2015-08-16 15:21:51 -0400  Dustin Spicuzza <dustin@virtualroadside.com>

	* configure.ac:
	* sys/directsound/gstdirectsoundsink.c:
	* sys/directsound/gstdirectsoundsink.h:
	  directsoundsink: allow specifying audio playback device
	  https://bugzilla.gnome.org/show_bug.cgi?id=753670

2015-08-16 13:51:47 -0300  Thiago Santos <thiagoss@osg.samsung.com>

	* ext/flac/gstflacenc.c:
	  flacenc: remove single entry if from loop
	  Iterate from the 2nd channel on and create the 1 channel struct
	  outside to make loop structure simpler and only slightly faster.

2015-08-16 13:21:41 -0300  Thiago Santos <thiagoss@osg.samsung.com>

	* ext/flac/gstflacenc.c:
	  flacenc: implement proper accept-caps
	  Should just compare with what can be immediatelly accepted by
	  the element. flacenc can't renegotiate so if it has a caps already
	  it should only accept if it is that caps otherwise just use the
	  template caps

2015-08-16 13:03:36 -0300  Thiago Santos <thiagoss@osg.samsung.com>

	* ext/flac/gstflacenc.c:
	  flacenc: improve sink pad template caps
	  Removes the need for custom caps query handling and makes it more
	  correct from the beginning on the template. It is a bit uglier
	  to read because there is 1 entry per channel but makes code easier
	  to maintain.

2015-08-16 12:41:56 -0300  Thiago Santos <thiagoss@osg.samsung.com>

	* gst/y4m/gsty4mencode.c:
	  y4mencode: fix gst-launch version in documentation

2015-08-15 22:32:21 -0300  Thiago Santos <thiagoss@osg.samsung.com>

	* ext/speex/gstspeexenc.c:
	* ext/wavpack/gstwavpackenc.c:
	* gst/law/alaw-encode.c:
	* gst/law/mulaw-encode.c:
	  audioencoders: use template subset check for accept-caps
	  It is faster than doing a query that propagates downstream and
	  should be enough
	  Elements: speexenc, wavpackenc, mulawenc, alawenc

2015-08-15 22:29:41 -0300  Thiago Santos <thiagoss@osg.samsung.com>

	* ext/jpeg/gstjpegenc.c:
	* ext/libpng/gstpngenc.c:
	* ext/vpx/gstvp8enc.c:
	* ext/vpx/gstvp9enc.c:
	* gst/y4m/gsty4mencode.c:
	  videoencoders: use template subset check for accept-caps
	  It is faster than doing a query that propagates downstream and
	  should be enough
	  Elements: jpegenc, pngenc, vp8enc, vp9enc, y4menc

2015-08-16 17:21:24 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/audioparsers/gstmpegaudioparse.c:
	  mpegaudioparse: use new baseparse API to fix tag handling
	  https://bugzilla.gnome.org/show_bug.cgi?id=679768

2015-03-17 17:50:37 -0400  Olivier Crête <olivier.crete@collabora.com>

	* gst/audioparsers/gstaacparse.c:
	* gst/audioparsers/gstac3parse.c:
	* gst/audioparsers/gstamrparse.c:
	* gst/audioparsers/gstdcaparse.c:
	* gst/audioparsers/gstsbcparse.c:
	* gst/audioparsers/gstwavpackparse.c:
	  audioparsers: use new base parse API to fix tag handling
	  https://bugzilla.gnome.org/show_bug.cgi?id=679768

2015-08-16 14:37:53 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/audioparsers/gstflacparse.c:
	  flacparse: use new baseparse API and fix tag handling
	  https://bugzilla.gnome.org/show_bug.cgi?id=679768

2015-08-16 13:04:02 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/isomp4/qtdemux.c:
	  qtdemux: Use signed integer type to be able to check for negative subtraction results
	  CID 1315829

2015-08-16 11:50:34 +0100  Luis de Bethencourt <luis@debethencourt.com>

	* gst/rtp/gstrtpvorbisdepay.c:
	  rtpvorbisdepay: remove dead code
	  payload_buffer must be NULL in ignore_reserved. Check will always be false.
	  Introduced by b1089fb5207697ba26edb4ff66ed0f465c6df3cf
	  CID #1316476

2015-08-15 22:45:53 -0300  Thiago Santos <thiagoss@osg.samsung.com>

	* gst/law/alaw-encode.c:
	* gst/law/alaw-encode.h:
	  alawenc: port to AudioEncoder base class

2015-08-15 09:16:23 -0300  Thiago Santos <thiagoss@osg.samsung.com>

	* ext/flac/gstflacdec.c:
	* ext/speex/gstspeexdec.c:
	* ext/wavpack/gstwavpackdec.c:
	* gst/law/alaw-decode.c:
	* gst/law/mulaw-decode.c:
	  audiodecoders: use default pad accept-caps handling
	  Avoids useless check of downstream caps when handling an
	  accept-caps query
	  Elements: flacdec, speexdec, wavpackdec, mulawdec, alawdec

2015-08-15 08:49:57 -0300  Thiago Santos <thiagoss@osg.samsung.com>

	* ext/jpeg/gstjpegdec.c:
	* ext/libpng/gstpngdec.c:
	* ext/vpx/gstvp8dec.c:
	* ext/vpx/gstvp9dec.c:
	  videodecoders: use default pad accept-caps handling
	  Avoids useless check of downstream caps when handling an
	  accept-caps query
	  Elements: jpegdec, pngdec, vp8dec, vp9dec

2015-08-15 11:31:04 -0300  Thiago Santos <thiagoss@osg.samsung.com>

	* gst/law/alaw-decode.c:
	  alawdec: make error handling a bit nicer
	  Print the element along with the debug to make it easier to trace
	  the failures

2015-08-15 11:04:16 -0300  Thiago Santos <thiagoss@osg.samsung.com>

	* gst/law/alaw-decode.c:
	* gst/law/alaw-decode.h:
	  alawdec: port to audiodecoder base class
	  mulawdec was already ported, alawdec was left behind.

2015-08-15 10:34:14 -0300  Thiago Santos <thiagoss@osg.samsung.com>

	* gst/isomp4/qtdemux.c:
	  qtdemux: only look for more samples in moofs in pull-mode
	  For playback of some fragmented formats with qtdemux it will
	  try to look for the next moof after finishing one but it is only
	  possible for pull-mode. For playback of streaming fragmented formats
	  such as DASH it should just not try to look for another moof but
	  instead wait for more data.
	  https://bugzilla.gnome.org/show_bug.cgi?id=752602
	  https://bugzilla.gnome.org/show_bug.cgi?id=752603

2015-08-15 12:58:50 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/audioparsers/gstdcaparse.c:
	  dcaparse: Don't look for a second syncword
	  There are streams out there that consistently contain garbage between
	  every frame so we never ever find a second consecutive syncword.
	  See https://bugzilla.gnome.org/show_bug.cgi?id=738237

2015-08-15 11:12:05 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ext/vpx/gstvp8enc.c:
	* ext/vpx/gstvp9enc.c:
	  vp8enc, vp9enc: reset multipass file index when stopping encoder
	  Fixes multipass encoding when re-using the same element/pipeline
	  for subsequent encoding runs.
	  https://bugzilla.gnome.org/show_bug.cgi?id=747728

2015-08-15 11:09:42 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ext/vpx/gstvp9enc.c:
	* ext/vpx/gstvp9enc.h:
	  vp9enc: provide support for multiple pass cache files
	  Some files may provide different caps insight of one stream. Since
	  vp9enc support caps reinit, we should support cache reinit too.
	  If more then file cache file will be created, the naming will be:
	  cache cache.1 cache.2 ...
	  Based on patch by: Oleksij Rempel <linux@rempel-privat.de>
	  https://bugzilla.gnome.org/show_bug.cgi?id=747728

2015-08-14 11:41:42 -0300  Thiago Santos <thiagoss@osg.samsung.com>

	* tests/check/elements/aacparse.c:
	  tests: aacparse: use caps query instead of accept-caps
	  The accept-caps query just does a shallow check at the current
	  element while at this test we want it to also look at downstream.
	  So use caps query there.
	  https://bugzilla.gnome.org/show_bug.cgi?id=753623

2015-08-14 11:40:22 -0300  Thiago Santos <thiagoss@osg.samsung.com>

	* gst/audioparsers/gstaacparse.c:
	* gst/audioparsers/gstac3parse.c:
	* gst/audioparsers/gstamrparse.c:
	* gst/audioparsers/gstdcaparse.c:
	* gst/audioparsers/gstflacparse.c:
	* gst/audioparsers/gstmpegaudioparse.c:
	* gst/audioparsers/gstsbcparse.c:
	* gst/audioparsers/gstwavpackparse.c:
	  audioparsers: enable accept-template flag
	  Do a quick check with the pad template caps as it is enough. Users
	  should have figured the appropriate full caps on a previous caps query
	  https://bugzilla.gnome.org/show_bug.cgi?id=753623

2015-08-14 15:46:53 +0200  George Kiagiadakis <george.kiagiadakis@collabora.com>

	* gst/rtsp/gstrtspsrc.c:
	* gst/rtsp/gstrtspsrc.h:
	  rtspsrc: send the User-Agent header
	  Sometimes it is useful to know this information on the
	  server side. Other popular implementations (vlc, ffmpeg, ...)
	  also send this header on every message.
	  This includes a new "user-agent" property that the user
	  can set to use a custom User-Agent string. The default
	  is "GStreamer/<version>"
	  https://bugzilla.gnome.org/show_bug.cgi?id=750101

2015-08-14 15:42:42 +0200  George Kiagiadakis <george.kiagiadakis@collabora.com>

	* gst/rtsp/gstrtspsrc.c:
	  rtspsrc: wrap gst_rtsp_message_init_request in a local function
	  This will allow adding common request initialization, like the
	  user agent string, in just one place.

2015-08-14 09:36:09 +0530  Prashant Gotarne <ps.gotarne@samsung.com>

	* gst/audiofx/audioecho.c:
	  audioecho: make sure buffer gets reallocated if max_delay changes
	  https://bugzilla.gnome.org/show_bug.cgi?id=753490

2015-07-09 09:51:26 +0200  Oleksij Rempel <linux@rempel-privat.de>

	* ext/vpx/gstvp8enc.c:
	* ext/vpx/gstvp8enc.h:
	  vp8enc: provide support for multiple pass cache files
	  Some files may provide different caps insight of one stream. Since vp8enc
	  support caps reinit, we should support cache reinit too.
	  If more then file cache file will be created, the naming will be:
	  cache
	  cache.1
	  cache.2
	  ...
	  https://bugzilla.gnome.org/show_bug.cgi?id=747728

2015-04-15 22:51:51 +0200  Ramiro Polla <ramiro.polla@collabora.co.uk>

	* gst/rtp/gstrtpmp4gdepay.c:
	  rtpmp4gdepay: fix timestamps for RTP packets with multiple AUs
	  Use constantDuration to calculate the timestamp of non-first AU in the
	  RTP packet.
	  If constantDuration is not present in the MIME parameters, its value
	  must be calculated based on the timing information from two consecutive
	  RTP packets with AU-Index equal to 0.
	  https://bugzilla.gnome.org/show_bug.cgi?id=747881

2015-08-14 06:43:13 -0300  Thiago Santos <thiagoss@osg.samsung.com>

	* ext/soup/gstsouphttpsrc.c:
	  souphttpsrc: remove unnecessary if, g_free is null safe

2015-08-14 08:33:56 +0100  Alex Ashley <bugzilla@ashley-family.net>

	* ext/soup/gstsouphttpsrc.c:
	* ext/soup/gstsouphttpsrc.h:
	  souphttpsrc: add property to set HTTP method
	  To allow souphttpsrc to be use HTTP methods other than GET
	  (e.g. HEAD), add a "method" property that is a string. If this
	  property is not set, GET is used.
	  https://bugzilla.gnome.org/show_bug.cgi?id=752413

2015-08-14 11:13:01 +0200  Edward Hervey <bilboed@bilboed.com>

	* tests/check/generic/states.c:
	  check: Rename states unit test
	  Makes it easier to differentiate from other modules states unit test

2015-08-14 09:21:25 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/goom/gstaudiovisualizer.c:
	* gst/goom/gstaudiovisualizer.h:
	* gst/goom2k1/gstaudiovisualizer.c:
	* gst/goom2k1/gstaudiovisualizer.h:
	  goom: Rename get_type() function of base class to prevent symbol conflicts
	  This is a problem when statically linking.

2015-08-13 16:32:55 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/rtpmanager/gstrtpjitterbuffer.c:
	  rtpjitterbuffer: Keep the DTS estimate if we got no DTS after a jitterbuffer reset
	  Otherwise we will just output buffers without timestamps after a reset if no
	  timestamps are provided by upstream, e.g. when using RTSP over TCP.
	  https://bugzilla.gnome.org/show_bug.cgi?id=749536

2015-08-12 17:16:01 +0530  Ravi Kiran K N <ravi.kiran@samsung.com>

	* gst/matroska/matroska-demux.h:
	* gst/matroska/matroska-parse.h:
	  matroska: Remove unused variable
	  https://bugzilla.gnome.org/show_bug.cgi?id=753556

2015-08-04 20:59:17 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/rtp/Makefile.am:
	* gst/rtp/gstrtpL16depay.c:
	* gst/rtp/gstrtpL24depay.c:
	* gst/rtp/gstrtpac3depay.c:
	* gst/rtp/gstrtpac3pay.c:
	* gst/rtp/gstrtpamrdepay.c:
	* gst/rtp/gstrtpamrpay.c:
	* gst/rtp/gstrtpbvdepay.c:
	* gst/rtp/gstrtpceltdepay.c:
	* gst/rtp/gstrtpceltpay.c:
	* gst/rtp/gstrtpdvdepay.c:
	* gst/rtp/gstrtpdvpay.c:
	* gst/rtp/gstrtpg722depay.c:
	* gst/rtp/gstrtpg723pay.c:
	* gst/rtp/gstrtpg726depay.c:
	* gst/rtp/gstrtpg729depay.c:
	* gst/rtp/gstrtpg729pay.c:
	* gst/rtp/gstrtpgsmdepay.c:
	* gst/rtp/gstrtpgsmpay.c:
	* gst/rtp/gstrtpgstdepay.c:
	* gst/rtp/gstrtpgstpay.c:
	* gst/rtp/gstrtph261depay.c:
	* gst/rtp/gstrtph261pay.c:
	* gst/rtp/gstrtph263depay.c:
	* gst/rtp/gstrtph263pay.c:
	* gst/rtp/gstrtph263pdepay.c:
	* gst/rtp/gstrtph263ppay.c:
	* gst/rtp/gstrtph264depay.c:
	* gst/rtp/gstrtph264pay.c:
	* gst/rtp/gstrtpilbcdepay.c:
	* gst/rtp/gstrtpj2kdepay.c:
	* gst/rtp/gstrtpj2kpay.c:
	* gst/rtp/gstrtpjpegdepay.c:
	* gst/rtp/gstrtpjpegpay.c:
	* gst/rtp/gstrtpmp1sdepay.c:
	* gst/rtp/gstrtpmp2tdepay.c:
	* gst/rtp/gstrtpmp2tpay.c:
	* gst/rtp/gstrtpmp4adepay.c:
	* gst/rtp/gstrtpmp4apay.c:
	* gst/rtp/gstrtpmp4gdepay.c:
	* gst/rtp/gstrtpmp4gpay.c:
	* gst/rtp/gstrtpmp4vdepay.c:
	* gst/rtp/gstrtpmp4vpay.c:
	* gst/rtp/gstrtpmpadepay.c:
	* gst/rtp/gstrtpmpapay.c:
	* gst/rtp/gstrtpmpvdepay.c:
	* gst/rtp/gstrtpmpvpay.c:
	* gst/rtp/gstrtppcmadepay.c:
	* gst/rtp/gstrtppcmudepay.c:
	* gst/rtp/gstrtpqcelpdepay.c:
	* gst/rtp/gstrtpqdmdepay.c:
	* gst/rtp/gstrtpsbcdepay.c:
	* gst/rtp/gstrtpsbcpay.c:
	* gst/rtp/gstrtpsirendepay.c:
	* gst/rtp/gstrtpspeexdepay.c:
	* gst/rtp/gstrtpspeexpay.c:
	* gst/rtp/gstrtpsv3vdepay.c:
	* gst/rtp/gstrtptheoradepay.c:
	* gst/rtp/gstrtptheorapay.c:
	* gst/rtp/gstrtptheorapay.h:
	* gst/rtp/gstrtputils.c:
	* gst/rtp/gstrtputils.h:
	* gst/rtp/gstrtpvorbisdepay.c:
	* gst/rtp/gstrtpvorbispay.c:
	* gst/rtp/gstrtpvorbispay.h:
	* gst/rtp/gstrtpvp8depay.c:
	* gst/rtp/gstrtpvp8pay.c:
	* gst/rtp/gstrtpvrawdepay.c:
	* gst/rtp/gstrtpvrawpay.c:
	  rtp: Copy metadata in the (de)payloader, but only the relevant ones
	  The payloader didn't copy anything so far, the depayloader copied every
	  possible meta. Let's make it consistent and just copy all metas without
	  tags or with only the video tag.
	  https://bugzilla.gnome.org/show_bug.cgi?id=751774

2015-08-10 18:20:15 -0300  Thiago Santos <thiagoss@osg.samsung.com>

	* gst/isomp4/qtdemux.c:
	  qtdemux: fix small typo in comment

2015-08-10 16:19:18 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst/goom2k1/gstgoom.c:
	  goom2k1/doc: Fixup previous commit

2015-08-10 15:55:19 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* docs/plugins/gst-plugins-good-plugins-sections.txt:
	* gst/goom2k1/gstgoom.c:
	* gst/goom2k1/gstgoom.h:
	  goom2k1/doc: Use GstGoom2k1 namespace
	  The doc generator isn't happy when we have class name clash. Simply
	  use it's own namespace.
